Subject: Re: h_errno.
From: Jens Yllman <[email-masked]>
To: [email-masked], GNUWin32 <[email-masked]>
Date: Wed, 19 Apr 2000 19:03:31 +0200

Hi,

 Now I see the problem. In ftp.c and http.c the code looks to see if
h_errno 'macro' is defined with a #ifndef h_errno. And since the netdb.h
does not define the h_errno 'macro'. ftp.c and http.c will do the
'extern' for h_errno incorrectly. It is probably the correct way on most
UNIX systems. But not in cygwin. So the question is, should the h_errno
'macro' bi defined in netdb.h. Or should wget not assume it is there.
And still wget does not include the netdb.h. But maybe on most UNIX
systems h_errno is also defined in errno.h.

 Anyway, I got it compiled now by comment out the rows in #ifndef
h_errno and included the netdb.h. So, thanks for the help.

 Jens Yllman

[email-masked] wrote:
> 
> On Wed, Apr 19, 2000 at 06:02:23PM +0200, Jens Yllman wrote:
> >  But it is not on compiletime I get the error. It is at linktime.
> 
> Right, sorry about that.  What I did was change the "extern int
> h_errno" to just "int h_errno" in ./src/ftp.c, ./src/http.c, and
> commented (#) out that line in the ./TAGS file (I doubt that last
> one was needed, I'm not sure what the TAGS file does.)
> 
> I got that idea from another message in the list archives, though I
> think it basically just ignores the problem and makes the value of
> h_errno meaningless.  That got it to build and work, in any case,
> though it might lead to some bugs eventually.
> 
> If you want I can email you the binary, just let me know.
> 
> -Kevin

-- 
------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/

--
Want to unsubscribe from this list?
Send a message to [email-masked]